syms N0 Theta0 eVec11ts eVec12ts eVec13ts eVec14ts eVec21tp eVec22tp eVec23tp eVec24tp
Linv =   0.5*  [[                 0,           1,  - 1/(N0*cos(Theta0)),  0];...
           [                      0,           1,    1/(N0*cos(Theta0)),  0];...
           [         1/ cos(Theta0),        0,    0,                  1/N0];...
           [         -1/cos(Theta0),        0,    0,                  1/N0]];

    v1 = [eVec11ts;eVec12ts;eVec13ts;eVec14ts];
    v2 = [eVec21tp;eVec22tp;eVec23tp;eVec24tp];
    zero = [0;0;0;0];
    Lout = [v1,zero,v2,zero];


T = Linv*Lout;


rpp = ( T(1,1)*T(4,3)-T(1,3)*T(4,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) ); 
rsp = ( T(1,1)*T(2,3)-T(1,3)*T(2,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
rss = ( T(2,1)*T(3,3)-T(2,3)*T(3,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
rps = ( T(3,3)*T(4,1)-T(3,1)*T(4,3) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );

tpp =  T(1,1) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tsp =  -T(1,3) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tss =  T(3,3) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tps =  -T(3,1) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );


matlabFunction(rpp, 'file', 'rpp');
matlabFunction(rsp, 'file', 'rsp');
matlabFunction(rps, 'file', 'rps');
matlabFunction(rss, 'file', 'rss');

matlabFunction(tpp, 'file', 'tpp');
matlabFunction(tsp, 'file', 'tsp');
matlabFunction(tps, 'file', 'tps');
matlabFunction(tss, 'file', 'tss');


