 % *.epd data :: freq psi delta psi_error delta_error eps1 eps2 eps1_error eps2_error
global Par Hand LoadDataCounter

clear Par.PsiDataOmega
clear Par.PsiDataIntensity
clear Par.DeltaDataOmega
clear Par.DeltaDataIntensity
clear Par.Eps1DataOmega
clear Par.Eps1DataIntensity 
clear Par.Eps2DataOmega
clear Par.Eps2DataIntensity


[name01,path] = uigetfile('*.*','Load Frequency\Intensity File');
name1 = fullfile(path,name01);
fid = fopen(name1);
tline1 = fgetl(fid);
tline2 = fgetl(fid);
tline3 = fgetl(fid);
tline4 = fgetl(fid);

i = 1;
while ~feof(fid)
    tline = fgetl(fid);
    modifiedStr = strrep(tline, ',', ' ');
    line = str2num(modifiedStr);
    [row column] = size(line);
    frequency(i) = line(1);
    psi(i) = line(2);
    delta(i) =  line(3);
    eps1(i) =  line(6);
    eps2(i) =  line(7);
    i = i + 1;
end
    
%set(handles.TempValue,'String',Atem(1));
     Freq = frequency';
     Amp_eps2 = eps2';
     Amp_eps1 = eps1';
     Amp_psi = psi';
     Amp_delta = delta';
     FreqAdd = Freq;
     
 Par.PsiDataOmega          = frequency';
 Par.PsiDataIntensity      = psi';
 Par.DeltaDataOmega        = frequency';
 Par.DeltaDataIntensity    = delta';
 Par.Eps1DataOmega         = frequency';
 Par.Eps1DataIntensity     = eps1';
 Par.Eps2DataOmega         = frequency';
 Par.Eps2DataIntensity     = eps2';
     
 
 Par.MIN = max(min(frequency),Par.MIN);
Par.MAX = min(max(frequency),Par.MAX);
 set(Hand.editFreqRangeL,'String',min(Par.MIN,min(frequency)));
set(Hand.editFreqRangeU,'String',max(Par.MAX,max(frequency)));
set(Hand.editFitL,'String',min(Par.MIN,min(frequency)));
set(Hand.editFitU,'String',max(Par.MAX,max(frequency)));    


    if LoadDataCounter == 0
    clear Par.OmegaArray
    Par.OmegaArray  = Par.Eps1DataOmega;
    LoadDataCounter = 1;
    end