global Par Hand LoadDataCounter

clear Par.RppDataOmega
clear Par.RppDataIntensity

[name,path] = uigetfile('*.*');
name = fullfile(path,name);
fid = fopen(name);
A = fscanf(fid,'%f\t');
[d,pp] = size(A);   
Par.RppDataOmega = zeros(d/2,1);
Par.RppDataIntensity = zeros(d/2,1);
for  i = 1:d/2
    Par.RppDataOmega(i) = A(2*i-1);
    Par.RppDataIntensity(i) = A(2*i);
end
Par.MIN = max(min(Par.RppDataOmega),Par.MIN);
Par.MAX = min(max(Par.RppDataOmega),Par.MAX);
 set(Hand.editFreqRangeL,'String',min(Par.MIN,min(Par.RppDataOmega)));
set(Hand.editFreqRangeU,'String',max(Par.MAX,max(Par.RppDataOmega)));
set(Hand.editFitL,'String',min(Par.MIN,min(Par.RppDataOmega)));
set(Hand.editFitU,'String',max(Par.MAX,max(Par.RppDataOmega)));

if LoadDataCounter == 0
    clear Par.OmegaArray
    Par.OmegaArray  = Par.MMDataOmega;
    LoadDataCounter = 1;
end
