clc

syms d11 d12 d13 d14 d21 d22 d23 d24 d31 d32 d33 d34 d41 d42 d43 d44
syms Ex Ey Hx Hy
syms ev
del = [d11-ev, d12, d13, d14;d21, d22-ev, d23, d24;d31, d32, d33-ev, d34;d41, d42, d43, d44-ev];
zero = [0;0;0;0];
EH = [Ex;Ey;Hx;Hy];

%=========================solution for qzs ================================
expr1 = Ey*d12 + Hx*d13 + Hy*d14 + Ex*(d11 - ev);
expr2 = Ex*d21 + Hx*d23 + Hy*d24 + Ey*(d22 - ev);
expr3 = Ex*d31 + Ey*d32 + Hy*d34 + Hx*(d33 - ev);
expr4 = Ex*d41 + Ey*d42 + Hx*d43 + Hy*(d44 - ev);

exprEx(Ey,Hx,Hy) = solve(expr1 == 0,Ex);
expr2(Ey,Hx,Hy) = subs(expr2,Ex,exprEx);

exprEy(Hx,Hy) = solve(expr2 == 0,Ey);
exprEy(Hx,Hy) = subs(exprEy,Ey,exprEy);

expr3(Ey,Hx,Hy) = subs(expr3,Ex,exprEx);
expr3(Hx,Hy) = subs(expr3,Ey,exprEy);

exprHx(Hy) = simple(solve(expr3 == 0, Hx));
exprEy(Hy) = simple(subs(exprEy, Hx, exprHx));
exprEx(Hy) = simple(subs(exprEx,{Ey,Hx},{exprEy,exprHx}));

evzsEx = exprEx(1);
evzsEy = exprEy(1);
evzsHx = exprHx(1);



%==========================================================================


%=========================solution for qzp ================================
expr1 = Ey*d12 + Hx*d13 + Hy*d14 + Ex*(d11 - ev);
expr2 = Ex*d21 + Hx*d23 + Hy*d24 + Ey*(d22 - ev);
expr3 = Ex*d31 + Ey*d32 + Hy*d34 + Hx*(d33 - ev);
expr4 = Ex*d41 + Ey*d42 + Hx*d43 + Hy*(d44 - ev);

exprEx(Ey,Hx,Hy) = solve(expr1 == 0,Ex);
expr2(Ey,Hx,Hy) = subs(expr2,Ex,exprEx);

exprEy(Hx,Hy) = solve(expr2 == 0,Ey);
exprEy(Hx,Hy) = subs(exprEy,Ey,exprEy);

expr4(Ey,Hx,Hy) = subs(expr4,Ex,exprEx);
expr4(Hx,Hy) = subs(expr4,Ey,exprEy);

exprHy(Hx) = simple(solve(expr4 == 0, Hy));
exprEy(Hx) = simple(subs(exprEy, Hy, exprHy));
exprEx(Hx) = simple(subs(exprEx,{Ey,Hy},{exprEy,exprHy}));

evzpEx = exprEx(1);
evzpEy = exprEy(1);
evzpHy = exprHy(1);



%==========================================================================