function [omegaCut intensityCut] = cutDataMueller(ArrOmega,ArrInt)
global Hand

mini = str2double(get(Hand.editReduceDataL,'String'));
maxi = str2double(get(Hand.editReduceDataU,'String'));

siz = length(ArrOmega);
k = 0;
for i = 1:siz
    if (ArrOmega(i) <= maxi) && (ArrOmega(i) >= mini) 
        k = k+1;
    end
end
omega1 = zeros(k,1);


Rs = zeros(k,16);
j=1;

for i = 1:siz
    if ArrOmega(i,1) <= maxi && ArrOmega(i,1) >= mini 
       omega1(j) = ArrOmega(i,1);
       for kk=1:16
       Rs(j,kk) = ArrInt(i,kk);
       end
       j = j + 1;
    end
end
omegaCut = omega1;
intensityCut = Rs;

set(Hand.editFreqRangeL,'String',mini);
set(Hand.editFreqRangeU,'String',maxi);