function displayDataAnalytical()

global Hand Par panelStruct

%Par.OmegaArray = (str2double(get(Hand.editFreqRangeL,'String')):0.01:str2double(get(Hand.editFreqRangeU,'String')))';



EPSxx = zeros(length(Par.OmegaArray),1);
EPSyy = zeros(length(Par.OmegaArray),1);
EPSzz = zeros(length(Par.OmegaArray),1);
MUxx =  zeros(length(Par.OmegaArray),1);
MUyy =  zeros(length(Par.OmegaArray),1);
MUzz =  zeros(length(Par.OmegaArray),1);
ALP  =  zeros(length(Par.OmegaArray),1);

rpp =  zeros(length(Par.OmegaArray),1);
rps =  zeros(length(Par.OmegaArray),1);
rsp =  zeros(length(Par.OmegaArray),1);
rss =  zeros(length(Par.OmegaArray),1);

tpp =  zeros(length(Par.OmegaArray),1);
tps =  zeros(length(Par.OmegaArray),1);
tsp =  zeros(length(Par.OmegaArray),1);
tss =  zeros(length(Par.OmegaArray),1);
%--------------------------------------------------------------------------
%Numerical Calculations

for ii = 1:length(Par.OmegaArray)

exx = 0;eyy = 0;ezz = 0;mxx = 0;myy = 0;mzz = 0;alp = 0;
for jj = 1:36  
    if Par.OmegaArray(ii) ~=  0
exx = exx + Par.Epsxx(jj).*Par.Omega(jj).^2./(Par.Omega(jj).^2 - Par.OmegaArray(ii).^2 - 1i.*Par.Gamma(jj).*Par.OmegaArray(ii));
eyy = eyy + Par.Epsyy(jj).*Par.Omega(jj).^2./(Par.Omega(jj).^2 - Par.OmegaArray(ii).^2 - 1i.*Par.Gamma(jj).*Par.OmegaArray(ii)); 
ezz = ezz + Par.Epszz(jj).*Par.Omega(jj).^2./(Par.Omega(jj).^2 - Par.OmegaArray(ii).^2 - 1i.*Par.Gamma(jj).*Par.OmegaArray(ii));
mxx = mxx + Par.Muxx(jj).*Par.Omega(jj).^2./(Par.Omega(jj).^2 - Par.OmegaArray(ii).^2- 1i.*Par.Gamma(jj).*Par.OmegaArray(ii)); 
myy = myy + Par.Muyy(jj).*Par.Omega(jj).^2./(Par.Omega(jj).^2 - Par.OmegaArray(ii).^2 - 1i.*Par.Gamma(jj).*Par.OmegaArray(ii)); 
mzz = mzz + Par.Muzz(jj).*Par.Omega(jj).^2./(Par.Omega(jj).^2 - Par.OmegaArray(ii).^2 - 1i.*Par.Gamma(jj).*Par.OmegaArray(ii));
alp = alp + Par.Alp(jj).*Par.Omega(jj).^2./(Par.Omega(jj).^2 - Par.OmegaArray(ii).^2 - 1i.*Par.Gamma(jj).*Par.OmegaArray(ii));
    end
end

EPSxx(ii) = Par.EpsxxInf +  exx;
EPSyy(ii) = Par.EpsyyInf +  eyy;
EPSzz(ii) = Par.EpszzInf +  ezz;
MUxx(ii) =  Par.MuxxInf +  mxx;
MUyy(ii) =  Par.MuyyInf  +  myy;
MUzz(ii) =  Par.MuzzInf  +  mzz;
ALP(ii) = alp;


% Alpha Tensor
if get(Hand.s1ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  ALP(ii),    0];...
            [     0,   EPSyy(ii),      0, ALP(ii)',        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, ALP(ii)',      0,     MUxx(ii),       0,    0];...
            [     ALP(ii)',       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == true && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        ALP(ii),  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     ALP(ii)', 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    ALP(ii)];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        ALP(ii)',        0,    0];...
            [     0, 0,      ALP(ii)',     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     ALP(ii),       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == true && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,  0,        ALP(ii),    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0,  0,      0,     MUxx(ii),       0,    0];...
            [     0,       ALP(ii)',      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    ALP(ii)];...
            [     0,       0,  EPSzz(ii),        0,        ALP(ii)',    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      ALP(ii)',       0,MUyy(ii),    0];...
            [     0,       ALP(ii),      0,        0,        0, MUzz(ii)]];  
        
        end
       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == true
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,    0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    ALP(ii)];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      ALP(ii)',        0,        0, MUzz(ii)]];  
        
        end        
end


% Alp Tensor
if get(Hand.s2ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  real(ALP(ii)),    0];...
            [     0,   EPSyy(ii),      0, -real(ALP(ii)),        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, -real(ALP(ii)),      0,     MUxx(ii),       0,    0];...
            [     real(ALP(ii)),       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == true && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        real(ALP(ii)),  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     real(ALP(ii)), 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    real(ALP(ii))];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        -real(ALP(ii)),        0,    0];...
            [     0, 0,      -real(ALP(ii)),     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     real(ALP(ii)),       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == true && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,  0,        real(ALP(ii)),    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0,  0,      0,     MUxx(ii),       0,    0];...
            [     0,       real(ALP(ii)),      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    real(ALP(ii))];...
            [     0,       0,  EPSzz(ii),        0,        -real(ALP(ii)),    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      -real(ALP(ii)),       0,MUyy(ii),    0];...
            [     0,       real(ALP(ii)),      0,        0,        0, MUzz(ii)]];  
        
        end
       
if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == true
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,    0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    real(ALP(ii))];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      real(ALP(ii)),        0,        0, MUzz(ii)]];  
        
end 
end

% Eps Tensor
if get(Hand.s3ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       real(ALP(ii)),      0,        0,  0,    0];...
            [     -real(ALP(ii)),   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      real(ALP(ii)),        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     -real(ALP(ii)),       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      real(ALP(ii)), 0,        0,    0];...
            [     0,       -real(ALP(ii)),  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
end


% iKsi Tensor
if get(Hand.s5ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  1i*real(ALP(ii)),    0];...
            [     0,   EPSyy(ii),      0, -1i*real(ALP(ii)),        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, -1i*real(ALP(ii)),      0,     MUxx(ii),       0,    0];...
            [     1i*real(ALP(ii)),       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == true && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        1i*real(ALP(ii)),  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     -1i*real(ALP(ii)), 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    1i*real(ALP(ii))];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        -1i*real(ALP(ii)),        0,    0];...
            [     0, 0,      -1i*real(ALP(ii)),     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     1i*real(ALP(ii)),       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == true && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,  0,        1i*real(ALP(ii)),    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0,  0,      0,     MUxx(ii),       0,    0];...
            [     0,       -1i*real(ALP(ii)),      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    1i*real(ALP(ii))];...
            [     0,       0,  EPSzz(ii),        0,        -1i*real(ALP(ii)),    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      -1i*real(ALP(ii)),       0,MUyy(ii),    0];...
            [     0,       1i*real(ALP(ii)),      0,        0,        0, MUzz(ii)]];  
        
        end
       
if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == true
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      0,    0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    1i*real(ALP(ii))];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      -1i*real(ALP(ii)),        0,        0, MUzz(ii)]];  
        
end 
end

% iEps Tensor
if get(Hand.s6ch,'Value') == true 
    
        if get(Hand.s1rb,'Value') == true && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       1i*real(ALP(ii)),      0,        0,  0,    0];...
            [     -1i*real(ALP(ii)),   EPSyy(ii),      0, 0,        0,    0];...
            [     0,       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == true &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == false && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      1i*real(ALP(ii)),        0,  0,    0];...
            [     0,   EPSyy(ii),      0, 0,        0,    0];...
            [     -1i*real(ALP(ii)),       0,  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end
        
        if get(Hand.s1rb,'Value') == false && get(Hand.s2rb,'Value') == false && get(Hand.s3rb,'Value') == false &&...
       get(Hand.s4rb,'Value') == false && get(Hand.s5rb,'Value') == true && get(Hand.s6rb,'Value') == false
       
M =         [[EPSxx(ii),       0,      0,        0,  0,    0];...
            [     0,   EPSyy(ii),      1i*real(ALP(ii)), 0,        0,    0];...
            [     0,       -1i*real(ALP(ii)),  EPSzz(ii),        0,        0,    0];...
            [     0, 0,      0,     MUxx(ii),       0,    0];...
            [     0,       0,      0,       0,MUyy(ii),    0];...
            [     0,       0,      0,        0,        0, MUzz(ii)]];  
        
        end       
end
% Alpha Tensor with Transpose = 0
if get(Hand.s4ch,'Value') == true 
tempM = [[1,1,1,1,1,1];...
        [1,1,1,1,1,1];...
        [1,1,1,1,1,1];...
        [0,0,0,1,1,1];...
        [0,0,0,1,1,1];...
        [0,0,0,1,1,1]];
    M = M.*tempM;
end

% -Rho/Eps Tensor
if get(Hand.s7ch,'Value') == true 
tempM = [[1,-1,1,-1,-1,-1];...
        [-1,1,-1,-1,1,-1];...
        [-1,-1,1,-1,-1,1];...
        [1,-1,-1,1,0,0];...
        [-1,1,-1,0,1,0];...
        [-1,-1,1,0,0,1]];
    M = M.*tempM;
end




        

N0=1;
Theta0 = Par.AOI;
n = N0.*sin(Theta0);
D1 = M(3,3).*M(6,6)-M(3,6).*M(6,3);
A1=(M(6,1).*M(3,6)-M(3,1).*M(6,6))./D1 ;
A2=((M(6,2)-n).*M(3,6)-M(3,2).*M(6,6))./D1 ;
A3=(M(6,4).*M(3,6)-M(3,4).*M(6,6))./D1 ;
A4=(M(6,5).*M(3,6)-(M(3,5)+n).*M(6,6))./D1 ;
A5=(M(6,3).*M(3,1)-M(3,3).*M(6,1))./D1 ;
A6=(M(6,3).*M(3,2)-(M(6,2)-n).*M(3,3))./D1 ;
A7=(M(6,3).*M(3,4)-M(3,3).*M(6,4))./D1 ;
A8=((M(3,5)+n).*M(6,3)-M(3,3).*M(6,5))./D1 ;
del11=M(5,1)+(M(5,3)+n).*A1+M(5,6).*A5 ;
del12=M(5,5)+(M(5,3)+n).*A4+M(5,6).*A8 ;
del13=M(5,2)+(M(5,3)+n).*A2+M(5,6).*A6 ;
del14=-(M(5,4)+(M(5,3)+n).*A3+M(5,6).*A7) ;
del21=M(1,1)+M(1,3).*A1+M(1,6).*A5 ;
del22=M(1,5)+M(1,3).*A4+M(1,6).*A8 ;
del23= M(1,2)+M(1,3).*A2+M(1,6).*A6 ;
del24 = -(M(1,4)+M(1,3).*A3+M(1,6).*A7) ;
del31=-(M(4,1)+M(4,3).*A1+M(4,6).*A5) ;
del32=-(M(4,5)+M(4,3).*A4+M(4,6).*A8) ;
del33=-(M(4,2)+M(4,3).*A2+M(4,6).*A6) ;
del34=M(4,4)+M(4,3).*A3+M(4,6).*A7 ;
del41=M(2,1)+M(2,3).*A1+(M(2,6)-n).*A5 ;
del42=M(2,5)+M(2,3).*A4+(M(2,6)-n).*A8 ;
del43=M(2,2)+M(2,3).*A2+(M(2,6)-n).*A6 ;
del44=-(M(2,4)+M(2,3).*A3+(M(2,6)-n).*A7); 
DELxyxy = [[del11,del13,-del14,del12];[del31,del33,-del34,del32];[-del41,-del43,del44,-del42];[del21,del23,-del24,del22]]; % for  [Ex,Ey,Hx,Hy]
Linv =   0.5*  [[                 0,           1,  - 1/(N0*cos(Theta0)),  0];...
           [                      0,           1,    1/(N0*cos(Theta0)),  0];...
           [         1/ cos(Theta0),        0,    0,                  1/N0];...
           [         -1/cos(Theta0),        0,    0,                  1/N0]];
[V,D] = eig(DELxyxy);

% ev1 = eVal1(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22);
% ev2 = eVal2(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22);
% ev3 = eVal3(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22);
% ev4 = eVal4(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22);
% 
% eVec1 = [eVecExzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev1);
% eVecEyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev1);
% 1;
% eVecHyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev1)];
% 
% eVec2 = [eVecExzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev2);
% eVecEyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev2);
% 1;
% eVecHyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev2)];
% 
% eVec3 = [eVecExzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev3);
% eVecEyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev3);
% 1;
% eVecHyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev3)];
% 
% eVec4 = [eVecExzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev4);
% eVecEyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev4);
% 1;
% eVecHyzp(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev4)];

% eVecExzs(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev1);
% eVecEyzs(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev1);
% eVecHxzs(del11,del13,-del14,del12,del31,del33,-del34,-del32,-del41,-del43,del44,-del42,del21,del23,-del24,del22,ev1);


zeroVec = zeros(4,1);
vecNum = zeros(1,2);
k = 1;
cVN = 1;
positiveValueCounter = 0;    
    if D(k,k) >=0 
        vecNum(cVN) = k;
        cVN = 2;
        positiveValueCounter = positiveValueCounter +1; 
    end
    
    if D(k+1,k+1) >=0
        vecNum(cVN) = k+1;
        cVN = 2;
        positiveValueCounter = positiveValueCounter +1; 
    end
    
    if D(k+2,k+2) >=0
        vecNum(cVN) = k+2;
        cVN = 2;
        positiveValueCounter = positiveValueCounter +1; 
    end
    
    if D(k+3,k+3) >=0
        vecNum(2) = k+3;
        positiveValueCounter = positiveValueCounter +1; 
    end

    if positiveValueCounter > 2
         disp('Unexpected results are possible');
        disp('More than two EigenValues are positive for omega ');
        disp(Par.OmegaArray(ii));
        disp('EigenValues:');
        disp([D(1,1) D(2,2) D(3,3) D(4,4)]);
        disp('EigenVectors:');
        disp([V(:,1) V(:,2) V(:,3) V(:,4)]);
        vecNum(1) = 1;
        vecNum(2) = 4;
    end
        
    if vecNum(1) == 0 || vecNum(2) == 0
        disp('Unexpected results are possible');
        disp('More than two EigenValues are negative for omega ');
        disp(Par.OmegaArray(ii));
        disp('EigenValues:');
        disp([D(1,1) D(2,2) D(3,3) D(4,4)]);
        disp('EigenVectors:');
        disp([V(:,1) V(:,2) V(:,3) V(:,4)]);
        vecNum(1) = 1;
        vecNum(2) = 4;
    end
    
    Lout = [V(:,vecNum(1)),zeroVec,V(:,vecNum(2)),zeroVec];


T = Linv*Lout;


rpp(ii,1) = ( T(1,1)*T(4,3)-T(1,3)*T(4,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) ); 
rsp(ii,1) = ( T(1,1)*T(2,3)-T(1,3)*T(2,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
rss(ii,1) = ( T(2,1)*T(3,3)-T(2,3)*T(3,1) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
rps(ii,1) = ( T(3,3)*T(4,1)-T(3,1)*T(4,3) ) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );

tpp(ii,1) =  T(1,1) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tsp(ii,1) =  -T(1,3) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tss(ii,1) =  T(3,3) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
tps(ii,1) =  -T(3,1) / ( T(1,1)*T(3,3)-T(1,3)*T(3,1) );
end
%--------------------------------------------------------------------------


%--------------------------------------------------------------------------
%Analytical Calculations





%--------------------------------------------------------------------------
tanPsi = abs(rpp)./abs(rss);
rhocomplex=(rpp)./(rss);
cosDelta = cos(angle(rhocomplex));
rhoLV = 1i*sqrt(1-cosDelta.^2).*tanPsi+ tanPsi.*cosDelta;
epsLV = (1+((1-rhoLV)./(1+rhoLV)).^2.*(tan(Theta0))^2).*(sin(Theta0))^2;

Par.RppModel = rpp.*conj(rpp); Par.RpsModel = rps.*conj(rps); Par.RspModel = rsp.*conj(rsp); Par.RssModel = rss.*conj(rss); 
Par.TppModel = tpp.*conj(tpp); Par.TpsModel = tps.*conj(tps); Par.TspModel = tsp.*conj(tsp); Par.TssModel = tss.*conj(tss); 
Par.PsiModel = atand(tanPsi);
Par.DeltaModel = angle(rhocomplex)*180/pi;
Par.Eps1Model = real(epsLV);
Par.Eps2Model = -imag(epsLV);

Par.M11Model = ones(length(Par.OmegaArray),1);
Par.M12Model = real((0.5*(rpp.*conj(rpp)-rss.*conj(rss)-rsp.*conj(rsp)+rps.*conj(rps)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)-rsp.*conj(rsp)+rps.*conj(rps))));
Par.M13Model = real((rpp.*conj(rsp)+rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M14Model = imag((rpp.*conj(rsp)+rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M21Model = real ((0.5*(rpp.*conj(rpp)-rss.*conj(rss)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M22Model = real ((0.5*(rpp.*conj(rpp)+rss.*conj(rss)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M23Model = real((rpp.*conj(rsp)-rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M24Model = imag((rpp.*conj(rsp)-rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M31Model = real((rpp.*conj(rps)+rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M32Model = real((rpp.*conj(rps)-rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M33Model = real((conj(rss).*(rpp) + rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M34Model = -imag((conj(rss).*(rpp) - rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M41Model = -imag(rpp.*conj(rps)+rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)));
Par.M42Model = -imag(rpp.*conj(rps)-rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)));
Par.M43Model = imag((conj(rss).*(rpp)+rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M44Model = real((conj(rss).*(rpp)-rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));


if Par.AxesCounter == 1
cla(panelStruct.hAxisEps1);
cla(panelStruct.hAxisEps2);
plot(panelStruct.hAxisEps1,Par.Eps1DataOmega,Par.Eps1DataIntensity,'Color','blue');
plot(panelStruct.hAxisEps1,Par.OmegaArray,Par.Eps1Model,'Color','red');
plot(panelStruct.hAxisEps2,Par.Eps2DataOmega,Par.Eps2DataIntensity,'Color','blue');
plot(panelStruct.hAxisEps2,Par.OmegaArray,Par.Eps2Model,'Color','red');
end

if Par.AxesCounter == 2
cla(panelStruct.hAxisPD1);
cla(panelStruct.hAxisPD2);
plot(panelStruct.hAxisPD1,Par.PsiDataOmega,Par.PsiDataIntensity,'Color','blue');
plot(panelStruct.hAxisPD1,Par.OmegaArray,Par.PsiModel,'Color','red');
plot(panelStruct.hAxisPD2,Par.DeltaDataOmega,Par.DeltaDataIntensity,'Color','blue');
plot(panelStruct.hAxisPD2,Par.OmegaArray,Par.DeltaModel,'Color','red');
end

if Par.AxesCounter == 3
cla(panelStruct.hAxisRpp);cla(panelStruct.hAxisRps);cla(panelStruct.hAxisRsp);cla(panelStruct.hAxisRss);
plot(panelStruct.hAxisRpp,Par.RppDataOmega,Par.RppDataIntensity,'Color','blue');
plot(panelStruct.hAxisRpp,Par.OmegaArray,Par.RppModel,'Color','red');
plot(panelStruct.hAxisRps,Par.RpsDataOmega,Par.RpsDataIntensity,'Color','blue');
plot(panelStruct.hAxisRps,Par.OmegaArray,Par.RpsModel,'Color','red');
plot(panelStruct.hAxisRsp,Par.RspDataOmega,Par.RspDataIntensity,'Color','blue');
plot(panelStruct.hAxisRsp,Par.OmegaArray,Par.RspModel,'Color','red');
plot(panelStruct.hAxisRss,Par.RppDataOmega,Par.RssDataIntensity,'Color','blue');
plot(panelStruct.hAxisRss,Par.OmegaArray,Par.RssModel,'Color','red');
end


if Par.AxesCounter == 4
cla(panelStruct.hAxisTpp);cla(panelStruct.hAxisTps);cla(panelStruct.hAxisTsp);cla(panelStruct.hAxisTss);
plot(panelStruct.hAxisTpp,Par.TppDataOmega,Par.TppDataIntensity,'Color','blue');
plot(panelStruct.hAxisTpp,Par.OmegaArray,Par.TppModel,'Color','red');
plot(panelStruct.hAxisTps,Par.TpsDataOmega,Par.TpsDataIntensity,'Color','blue');
plot(panelStruct.hAxisTps,Par.OmegaArray,Par.TpsModel,'Color','red');
plot(panelStruct.hAxisTsp,Par.TspDataOmega,Par.TspDataIntensity,'Color','blue');
plot(panelStruct.hAxisTsp,Par.OmegaArray,Par.TspModel,'Color','red');
plot(panelStruct.hAxisTss,Par.TssDataOmega,Par.TssDataIntensity,'Color','blue');
plot(panelStruct.hAxisTss,Par.OmegaArray,Par.TssModel,'Color','red');
end

if Par.AxesCounter == 5
cla(panelStruct.hAxisM11);cla(panelStruct.hAxisM12);cla(panelStruct.hAxisM13);cla(panelStruct.hAxisM14);
cla(panelStruct.hAxisM21);cla(panelStruct.hAxisM22);cla(panelStruct.hAxisM23);cla(panelStruct.hAxisM24);
cla(panelStruct.hAxisM31);cla(panelStruct.hAxisM32);cla(panelStruct.hAxisM33);cla(panelStruct.hAxisM34);
cla(panelStruct.hAxisM41);cla(panelStruct.hAxisM42);cla(panelStruct.hAxisM43);cla(panelStruct.hAxisM44);
plot(panelStruct.hAxisM11,Par.MMDataOmega,Par.MMDataIntensity(:,1),'Color','blue');
plot(panelStruct.hAxisM11,Par.OmegaArray,Par.M11Model,'Color','red');
plot(panelStruct.hAxisM12,Par.MMDataOmega,Par.MMDataIntensity(:,2),'Color','blue');
plot(panelStruct.hAxisM12,Par.OmegaArray,Par.M12Model,'Color','red');
plot(panelStruct.hAxisM13,Par.MMDataOmega,Par.MMDataIntensity(:,3),'Color','blue');
plot(panelStruct.hAxisM13,Par.OmegaArray,Par.M13Model,'Color','red');
plot(panelStruct.hAxisM14,Par.MMDataOmega,Par.MMDataIntensity(:,4),'Color','blue');
plot(panelStruct.hAxisM14,Par.OmegaArray,Par.M14Model,'Color','red');
plot(panelStruct.hAxisM21,Par.MMDataOmega,Par.MMDataIntensity(:,5),'Color','blue');
plot(panelStruct.hAxisM21,Par.OmegaArray,Par.M21Model,'Color','red');
plot(panelStruct.hAxisM22,Par.MMDataOmega,Par.MMDataIntensity(:,6),'Color','blue');
plot(panelStruct.hAxisM22,Par.OmegaArray,Par.M22Model,'Color','red');
plot(panelStruct.hAxisM23,Par.MMDataOmega,Par.MMDataIntensity(:,7),'Color','blue');
plot(panelStruct.hAxisM23,Par.OmegaArray,Par.M23Model,'Color','red');
plot(panelStruct.hAxisM24,Par.MMDataOmega,Par.MMDataIntensity(:,8),'Color','blue');
plot(panelStruct.hAxisM24,Par.OmegaArray,Par.M24Model,'Color','red');
plot(panelStruct.hAxisM31,Par.MMDataOmega,Par.MMDataIntensity(:,9),'Color','blue');
plot(panelStruct.hAxisM31,Par.OmegaArray,Par.M31Model,'Color','red');
plot(panelStruct.hAxisM32,Par.MMDataOmega,Par.MMDataIntensity(:,10),'Color','blue');
plot(panelStruct.hAxisM32,Par.OmegaArray,Par.M32Model,'Color','red');
plot(panelStruct.hAxisM33,Par.MMDataOmega,Par.MMDataIntensity(:,11),'Color','blue');
plot(panelStruct.hAxisM33,Par.OmegaArray,Par.M33Model,'Color','red');
plot(panelStruct.hAxisM34,Par.MMDataOmega,Par.MMDataIntensity(:,12),'Color','blue');
plot(panelStruct.hAxisM34,Par.OmegaArray,Par.M34Model,'Color','red');
plot(panelStruct.hAxisM41,Par.MMDataOmega,Par.MMDataIntensity(:,13),'Color','blue');
plot(panelStruct.hAxisM41,Par.OmegaArray,Par.M41Model,'Color','red');
plot(panelStruct.hAxisM42,Par.MMDataOmega,Par.MMDataIntensity(:,14),'Color','blue');
plot(panelStruct.hAxisM42,Par.OmegaArray,Par.M42Model,'Color','red');
plot(panelStruct.hAxisM43,Par.MMDataOmega,Par.MMDataIntensity(:,15),'Color','blue');
plot(panelStruct.hAxisM43,Par.OmegaArray,Par.M43Model,'Color','red');
plot(panelStruct.hAxisM44,Par.MMDataOmega,Par.MMDataIntensity(:,16),'Color','blue');
plot(panelStruct.hAxisM44,Par.OmegaArray,Par.M44Model,'Color','red');
end

if Par.AxesCounter == 6
cla(panelStruct.hAxisMEps1xx);cla(panelStruct.hAxisMEps2xx);
cla(panelStruct.hAxisMEps1yy);cla(panelStruct.hAxisMEps2yy);
cla(panelStruct.hAxisMEps1zz);cla(panelStruct.hAxisMEps2zz); 
plot(panelStruct.hAxisMEps1xx,Par.OmegaArray,real(EPSxx),'Color','red');
plot(panelStruct.hAxisMEps2xx,Par.OmegaArray,imag(EPSxx),'Color','red');
plot(panelStruct.hAxisMEps1yy,Par.OmegaArray,real(EPSyy),'Color','red');
plot(panelStruct.hAxisMEps2yy,Par.OmegaArray,imag(EPSyy),'Color','red');
plot(panelStruct.hAxisMEps1zz,Par.OmegaArray,real(EPSzz),'Color','red');
plot(panelStruct.hAxisMEps2zz,Par.OmegaArray,imag(EPSzz),'Color','red');
end

if Par.AxesCounter == 7
cla(panelStruct.hAxisMMu1xx);cla(panelStruct.hAxisMMu2xx);
cla(panelStruct.hAxisMMu1yy);cla(panelStruct.hAxisMMu2yy);
cla(panelStruct.hAxisMMu1zz);cla(panelStruct.hAxisMMu2zz); 
plot(panelStruct.hAxisMMu1xx,Par.OmegaArray,real(MUxx),'Color','red');
plot(panelStruct.hAxisMMu2xx,Par.OmegaArray,imag(MUxx),'Color','red');
plot(panelStruct.hAxisMMu1yy,Par.OmegaArray,real(MUyy),'Color','red');
plot(panelStruct.hAxisMMu2yy,Par.OmegaArray,imag(MUyy),'Color','red');
plot(panelStruct.hAxisMMu1zz,Par.OmegaArray,real(MUzz),'Color','red');
plot(panelStruct.hAxisMMu2zz,Par.OmegaArray,imag(MUzz),'Color','red');
end

if Par.AxesCounter == 8
cla(panelStruct.hAxisMAlpxx);cla(panelStruct.hAxisMAlpxy); cla(panelStruct.hAxisMAlpxz);
cla(panelStruct.hAxisMAlpyx);cla(panelStruct.hAxisMAlpyy); cla(panelStruct.hAxisMAlpyz);
cla(panelStruct.hAxisMAlpzx);cla(panelStruct.hAxisMAlpzy); cla(panelStruct.hAxisMAlpzz);
if get(Hand.s2rb,'Value') == true
plot(panelStruct.hAxisMAlpxx,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpxx,Par.OmegaArray,imag(ALP),'Color','red');
end
if get(Hand.s1rb,'Value') == true
plot(panelStruct.hAxisMAlpxy,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpxy,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpyx,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpyx,Par.OmegaArray,imag(ALP),'Color','red');
end
if get(Hand.s3rb,'Value') == true
plot(panelStruct.hAxisMAlpxz,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpxz,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzx,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpzx,Par.OmegaArray,imag(ALP),'Color','red');
end
if get(Hand.s4rb,'Value') == true
plot(panelStruct.hAxisMAlpyy,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpyy,Par.OmegaArray,imag(ALP),'Color','red');
end
if get(Hand.s5rb,'Value') == true
plot(panelStruct.hAxisMAlpyz,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpyz,Par.OmegaArray,imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzy,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpzy,Par.OmegaArray,imag(ALP),'Color','red');
end
if get(Hand.s6rb,'Value') == true
plot(panelStruct.hAxisMAlpzz,Par.OmegaArray,real(ALP),'Color','blue');
plot(panelStruct.hAxisMAlpzz,Par.OmegaArray,imag(ALP),'Color','red');
end
end


  