function displayDataAnalyticalDiagonal()


global Hand Par panelStruct

Omega = (str2double(get(Hand.editFreqRangeL,'String')):1:str2double(get(Hand.editFreqRangeU,'String')))';


EPSxx = zeros(length(Omega),1);
EPSyy = zeros(length(Omega),1);
EPSzz = zeros(length(Omega),1);
MUxx =  zeros(length(Omega),1);
MUyy =  zeros(length(Omega),1);
MUzz =  zeros(length(Omega),1);
ALP  =  zeros(length(Omega),1);

rpp =  zeros(length(Omega),1);
rps =  zeros(length(Omega),1);
rsp =  zeros(length(Omega),1);
rss =  zeros(length(Omega),1);

tpp =  zeros(length(Omega),1);
tps =  zeros(length(Omega),1);
tsp =  zeros(length(Omega),1);
tss =  zeros(length(Omega),1);
O = ones(length(Omega),1);
%-------------------------------------------------------------------------

exx = zeros(length(Omega),1);eyy = zeros(length(Omega),1);ezz = zeros(length(Omega),1);mxx = zeros(length(Omega),1);myy = zeros(length(Omega),1);mzz = 0;alp = zeros(length(Omega),1);
for jj = 1:36  
exx = exx + Par.Epsxx(jj).*O.*Par.Omega(jj).^2.*O./(Par.Omega(jj).^2.*O - Omega.^2.*O - 1i.*Par.Gamma(jj).*O.*Omega);
eyy = eyy + Par.Epsyy(jj).*O.*Par.Omega(jj).^2.*O./(Par.Omega(jj).^2.*O - Omega.^2.*O - 1i.*Par.Gamma(jj).*O.*Omega); 
ezz = ezz + Par.Epszz(jj).*O.*Par.Omega(jj).^2.*O./(Par.Omega(jj).^2.*O - Omega.^2 - 1i.*Par.Gamma(jj).*O.*Omega);
mxx = mxx + Par.Muxx(jj).*O.*Par.Omega(jj).^2.*O./(Par.Omega(jj).^2.*O - Omega.^2.*O- 1i.*Par.Gamma(jj).*O.*Omega); 
myy = myy + Par.Muyy(jj).*O.*Par.Omega(jj).^2.*O./(Par.Omega(jj).^2.*O - Omega.^2.*O - 1i.*Par.Gamma(jj).*O.*Omega); 
mzz = mzz + Par.Muzz(jj).*O.*Par.Omega(jj).^2.*O./(Par.Omega(jj).^2.*O - Omega.^2.*O - 1i.*Par.Gamma(jj).*O.*Omega);
alp = alp + Par.Alp(jj).*O.*Par.Omega(jj).^2.*O./(Par.Omega(jj).^2.*O - Omega.^2.*O - 1i.*Par.Gamma(jj).*O.*Omega);
end

EPSxx = Par.EpsxxInf +  exx;
EPSyy = Par.EpsyyInf +  eyy;
EPSzz = Par.EpszzInf +  ezz;
MUxx =  Par.MuxxInf +  mxx;
MUyy =  Par.MuyyInf  +  myy;
MUzz =  Par.MuzzInf  +  mzz;
N0=1;
Theta0  = Par.AOI;
k_z0= Omega.*N0.*cos(Theta0);
q_zp =(Omega.*sqrt(EPSxx).*sqrt(MUyy-N0.^2.*sin(Theta0)^2./EPSzz));
q_zs =(Omega.*sqrt(MUxx).*sqrt(EPSyy-N0.^2.*sin(Theta0)^2./MUzz));
%theta_2 = asin(N0*sin(Theta0)/N_2);%this is the calculated angle of refraction in the substrate (radians)
rpp = (EPSxx.*k_z0 - N0^2.*q_zp)./(EPSxx.*k_z0 +N0^2.*q_zp);
rss = (MUxx.*k_z0 - q_zs)./(MUxx.*k_z0 + q_zs);
tanPsi = abs(rpp)./abs(rss);
rhocomplex=(rpp)./(rss);
cosDelta = cos(angle(rhocomplex));
rhoLV = 1i*sqrt(1-cosDelta.^2).*tanPsi+ tanPsi.*cosDelta;
epsLV = (1+((1-rhoLV)./(1+rhoLV)).^2.*(tan(Theta0))^2).*(sin(Theta0))^2;

Par.RppModel = rpp.*conj(rpp); Par.RpsModel = rps.*conj(rps); Par.RspModel = rsp.*conj(rsp); Par.RssModel = rss.*conj(rss); 
Par.TppModel = tpp.*conj(tpp); Par.TpsModel = tps.*conj(tps); Par.TspModel = tsp.*conj(tsp); Par.TssModel = tss.*conj(tss); 
Par.PsiModel = atand(tanPsi);
Par.DeltaModel = angle(rhocomplex)*180/pi;
Par.Eps1Model = real(epsLV);
Par.Eps2Model = -imag(epsLV);

Par.M11Model = ones(length(Omega),1);
Par.M12Model = real((0.5*(rpp.*conj(rpp)-rss.*conj(rss)-rsp.*conj(rsp)+rps.*conj(rps)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)-rsp.*conj(rsp)+rps.*conj(rps))));
Par.M13Model = real((rpp.*conj(rsp)+rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M14Model = imag((rpp.*conj(rsp)+rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M21Model = real ((0.5*(rpp.*conj(rpp)-rss.*conj(rss)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M22Model = real ((0.5*(rpp.*conj(rpp)+rss.*conj(rss)))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M23Model = real((rpp.*conj(rsp)-rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M24Model = imag((rpp.*conj(rsp)-rps.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M31Model = real((rpp.*conj(rps)+rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M32Model = real((rpp.*conj(rps)-rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M33Model = real((conj(rss).*(rpp) + rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M34Model = -imag((conj(rss).*(rpp) - rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M41Model = -imag(rpp.*conj(rps)+rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)));
Par.M42Model = -imag(rpp.*conj(rps)-rsp.*conj(rss))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps)));
Par.M43Model = imag((conj(rss).*(rpp)+rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));
Par.M44Model = real((conj(rss).*(rpp)-rsp.*conj(rps))./(0.5*(rpp.*conj(rpp)+rss.*conj(rss)+rsp.*conj(rsp)+rps.*conj(rps))));

if Par.AxesCounter == 1
cla(panelStruct.hAxisEps1);
cla(panelStruct.hAxisEps2);
plot(panelStruct.hAxisEps1,Par.Eps1DataOmega,Par.Eps1DataIntensity,'Color','blue');
plot(panelStruct.hAxisEps1,Omega,Par.Eps1Model,'Color','red');
plot(panelStruct.hAxisEps2,Par.Eps2DataOmega,Par.Eps2DataIntensity,'Color','blue');
plot(panelStruct.hAxisEps2,Omega,Par.Eps2Model,'Color','red');
end

if Par.AxesCounter == 2
cla(panelStruct.hAxisPD1);
cla(panelStruct.hAxisPD2);
plot(panelStruct.hAxisPD1,Par.PsiDataOmega,Par.PsiDataIntensity,'Color','blue');
plot(panelStruct.hAxisPD1,Omega,Par.PsiModel,'Color','red');
plot(panelStruct.hAxisPD2,Par.DeltaDataOmega,Par.DeltaDataIntensity,'Color','blue');
plot(panelStruct.hAxisPD2,Omega,Par.DeltaModel,'Color','red');
end

if Par.AxesCounter == 3
cla(panelStruct.hAxisRpp);cla(panelStruct.hAxisRps);cla(panelStruct.hAxisRsp);cla(panelStruct.hAxisRss);
plot(panelStruct.hAxisRpp,Par.RppDataOmega,Par.RppDataIntensity,'Color','blue');
plot(panelStruct.hAxisRpp,Omega,Par.RppModel,'Color','red');
plot(panelStruct.hAxisRps,Par.RpsDataOmega,Par.RpsDataIntensity,'Color','blue');
plot(panelStruct.hAxisRps,Omega,Par.RpsModel,'Color','red');
plot(panelStruct.hAxisRsp,Par.RspDataOmega,Par.RspDataIntensity,'Color','blue');
plot(panelStruct.hAxisRsp,Omega,Par.RspModel,'Color','red');
plot(panelStruct.hAxisRss,Par.RppDataOmega,Par.RssDataIntensity,'Color','blue');
plot(panelStruct.hAxisRss,Omega,Par.RssModel,'Color','red');
end


if Par.AxesCounter == 4
cla(panelStruct.hAxisTpp);cla(panelStruct.hAxisTps);cla(panelStruct.hAxisTsp);cla(panelStruct.hAxisTss);
plot(panelStruct.hAxisTpp,Par.TppDataOmega,Par.TppDataIntensity,'Color','blue');
plot(panelStruct.hAxisTpp,Omega,Par.TppModel,'Color','red');
plot(panelStruct.hAxisTps,Par.TpsDataOmega,Par.TpsDataIntensity,'Color','blue');
plot(panelStruct.hAxisTps,Omega,Par.TpsModel,'Color','red');
plot(panelStruct.hAxisTsp,Par.TspDataOmega,Par.TspDataIntensity,'Color','blue');
plot(panelStruct.hAxisTsp,Omega,Par.TspModel,'Color','red');
plot(panelStruct.hAxisTss,Par.TssDataOmega,Par.TssDataIntensity,'Color','blue');
plot(panelStruct.hAxisTss,Omega,Par.TssModel,'Color','red');
end

if Par.AxesCounter == 5
cla(panelStruct.hAxisM11);cla(panelStruct.hAxisM12);cla(panelStruct.hAxisM13);cla(panelStruct.hAxisM14);
cla(panelStruct.hAxisM21);cla(panelStruct.hAxisM22);cla(panelStruct.hAxisM23);cla(panelStruct.hAxisM24);
cla(panelStruct.hAxisM31);cla(panelStruct.hAxisM32);cla(panelStruct.hAxisM33);cla(panelStruct.hAxisM34);
cla(panelStruct.hAxisM41);cla(panelStruct.hAxisM42);cla(panelStruct.hAxisM43);cla(panelStruct.hAxisM44);
plot(panelStruct.hAxisM11,Par.MMDataOmega,Par.MMDataIntensity(:,1),'Color','blue');
plot(panelStruct.hAxisM11,Omega,Par.M11Model,'Color','red');
plot(panelStruct.hAxisM12,Par.MMDataOmega,Par.MMDataIntensity(:,2),'Color','blue');
plot(panelStruct.hAxisM12,Omega,Par.M12Model,'Color','red');
plot(panelStruct.hAxisM13,Par.MMDataOmega,Par.MMDataIntensity(:,3),'Color','blue');
plot(panelStruct.hAxisM13,Omega,Par.M13Model,'Color','red');
plot(panelStruct.hAxisM14,Par.MMDataOmega,Par.MMDataIntensity(:,4),'Color','blue');
plot(panelStruct.hAxisM14,Omega,Par.M14Model,'Color','red');
plot(panelStruct.hAxisM21,Par.MMDataOmega,Par.MMDataIntensity(:,5),'Color','blue');
plot(panelStruct.hAxisM21,Omega,Par.M21Model,'Color','red');
plot(panelStruct.hAxisM22,Par.MMDataOmega,Par.MMDataIntensity(:,6),'Color','blue');
plot(panelStruct.hAxisM22,Omega,Par.M22Model,'Color','red');
plot(panelStruct.hAxisM23,Par.MMDataOmega,Par.MMDataIntensity(:,7),'Color','blue');
plot(panelStruct.hAxisM23,Omega,Par.M23Model,'Color','red');
plot(panelStruct.hAxisM24,Par.MMDataOmega,Par.MMDataIntensity(:,8),'Color','blue');
plot(panelStruct.hAxisM24,Omega,Par.M24Model,'Color','red');
plot(panelStruct.hAxisM31,Par.MMDataOmega,Par.MMDataIntensity(:,9),'Color','blue');
plot(panelStruct.hAxisM31,Omega,Par.M31Model,'Color','red');
plot(panelStruct.hAxisM32,Par.MMDataOmega,Par.MMDataIntensity(:,10),'Color','blue');
plot(panelStruct.hAxisM32,Omega,Par.M32Model,'Color','red');
plot(panelStruct.hAxisM33,Par.MMDataOmega,Par.MMDataIntensity(:,11),'Color','blue');
plot(panelStruct.hAxisM33,Omega,Par.M33Model,'Color','red');
plot(panelStruct.hAxisM34,Par.MMDataOmega,Par.MMDataIntensity(:,12),'Color','blue');
plot(panelStruct.hAxisM34,Omega,Par.M34Model,'Color','red');
plot(panelStruct.hAxisM41,Par.MMDataOmega,Par.MMDataIntensity(:,13),'Color','blue');
plot(panelStruct.hAxisM41,Omega,Par.M41Model,'Color','red');
plot(panelStruct.hAxisM42,Par.MMDataOmega,Par.MMDataIntensity(:,14),'Color','blue');
plot(panelStruct.hAxisM42,Omega,Par.M42Model,'Color','red');
plot(panelStruct.hAxisM43,Par.MMDataOmega,Par.MMDataIntensity(:,15),'Color','blue');
plot(panelStruct.hAxisM43,Omega,Par.M43Model,'Color','red');
plot(panelStruct.hAxisM44,Par.MMDataOmega,Par.MMDataIntensity(:,16),'Color','blue');
plot(panelStruct.hAxisM44,Omega,Par.M44Model,'Color','red');
end

if Par.AxesCounter == 6
cla(panelStruct.hAxisMEps1xx);cla(panelStruct.hAxisMEps2xx);
cla(panelStruct.hAxisMEps1yy);cla(panelStruct.hAxisMEps2yy);
cla(panelStruct.hAxisMEps1zz);cla(panelStruct.hAxisMEps2zz); 
plot(panelStruct.hAxisMEps1xx,Omega,real(EPSxx),'Color','red');
plot(panelStruct.hAxisMEps2xx,Omega,imag(EPSxx),'Color','red');
plot(panelStruct.hAxisMEps1yy,Omega,real(EPSyy),'Color','red');
plot(panelStruct.hAxisMEps2yy,Omega,imag(EPSyy),'Color','red');
plot(panelStruct.hAxisMEps1zz,Omega,real(EPSzz),'Color','red');
plot(panelStruct.hAxisMEps2zz,Omega,imag(EPSzz),'Color','red');
end

if Par.AxesCounter == 7
cla(panelStruct.hAxisMMu1xx);cla(panelStruct.hAxisMMu2xx);
cla(panelStruct.hAxisMMu1yy);cla(panelStruct.hAxisMMu2yy);
cla(panelStruct.hAxisMMu1zz);cla(panelStruct.hAxisMMu2zz); 
plot(panelStruct.hAxisMMu1xx,Omega,real(MUxx),'Color','red');
plot(panelStruct.hAxisMMu2xx,Omega,imag(MUxx),'Color','red');
plot(panelStruct.hAxisMMu1yy,Omega,real(MUyy),'Color','red');
plot(panelStruct.hAxisMMu2yy,Omega,imag(MUyy),'Color','red');
plot(panelStruct.hAxisMMu1zz,Omega,real(MUzz),'Color','red');
plot(panelStruct.hAxisMMu2zz,Omega,imag(MUzz),'Color','red');
end

if Par.AxesCounter == 8
cla(panelStruct.hAxisMAlpxx);cla(panelStruct.hAxisMAlpxy); cla(panelStruct.hAxisMAlpxz);
cla(panelStruct.hAxisMAlpyx);cla(panelStruct.hAxisMAlpyy); cla(panelStruct.hAxisMAlpyz);
cla(panelStruct.hAxisMAlpzx);cla(panelStruct.hAxisMAlpzy); cla(panelStruct.hAxisMAlpzz);
plot(panelStruct.hAxisMAlpxx,Omega,0*real(ALP),'Color','red');
plot(panelStruct.hAxisMAlpxy,Omega,0*imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpxz,Omega,0*imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpyx,Omega,0*real(ALP),'Color','red');
plot(panelStruct.hAxisMAlpyy,Omega,0*imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpyz,Omega,0*imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzx,Omega,0*real(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzy,Omega,0*imag(ALP),'Color','red');
plot(panelStruct.hAxisMAlpzz,Omega,0*imag(ALP),'Color','red');
end
