syms del11 del12 del13 del14 del21 del22 del23 del24 del31 del32 del33 del34 del41 del42 del43 del44 
syms ev

del = [[del11,del12,del13,del14];[del21,del22,del23,del24];[del31,del32,del33,del34];[del41,del42,del43,del44]];

DEL_ev =  [[del11-ev,del12,del13,del14];[del21,del22-ev,del23,del24];[del31,del32,del33-ev,del34];[del41,del42,del43,del44-ev]];
DetDEL_ev = det(DEL_ev);
collDetDEL_ev  = collect(DetDEL_ev,ev);
C = coeffs(collDetDEL_ev, ev);
C_r = C./C(5); % reduced coefficients


syms x a b c d % arbitrary coeeficients Abramowitz and Stegun
% s = soleve(x^4 + (C(4)/C(5))*x^3 + (C(3)/C(5))*x^2+ (C(2)/C(5))*x + C(1)/C(5) == 0, x,  'MaxDegree', 4);
s = solve(x^4 + a*x^3 + b*x^2+ c*x + d == 0, x,  'MaxDegree', 4);

s1 = subs(s(1,1),{a,b,c,d},{C_r(4),C_r(3),C_r(2),C_r(1)});
s2 = subs(s(2,1),{a,b,c,d},{C_r(4),C_r(3),C_r(2),C_r(1)});
s3 = subs(s(3,1),{a,b,c,d},{C_r(4),C_r(3),C_r(2),C_r(1)});
s4 = subs(s(4,1),{a,b,c,d},{C_r(4),C_r(3),C_r(2),C_r(1)});

matlabFunction(s1, 'file', 'eVal1');
matlabFunction(s2, 'file', 'eVal2');
matlabFunction(s3, 'file', 'eVal3');
matlabFunction(s4, 'file', 'eVal4');