function xtry=check_bounds_v4(xtry, lb, ub,ix)

% This function adjusts xtry if any of its elements are above the upper
% bound. All elements are multiplied by 1/C where C is the maximum ratio of
% an element to its upper bound. All lower bounds are assumed to be zero.
% For any negative elements, they are replaced by their absolute value. For
% any elements which are not to be fitted, the function returns these
% elements to their original value in the last step of the program. 
fitonly=find(ix>0);
nlf=length(fitonly);

if nlf~=0
for i=1:nlf
    xfit(i)=xtry(fitonly(i));
    lbfit(i)=lb(fitonly(i));
    ubfit(i)=ub(fitonly(i));
end
xtry1=xfit;
else
    xtry1=xtry;
    lbfit=lb;
    ubfit=ub;
end
% disp('this is the vector after doing fitonly');xtry1;

upperout=find(xtry1>ubfit);

 nlu=length(upperout);
if nlu~=0
for i=1:nlu
    xtry1(upperout(i))=ubfit(upperout(i));
end
end  

% disp('this is the vector after doing ub');xtry1;
for i=1:length(xtry1)
     if xtry1(i)<0
    xtry1(i)=lbfit(i);
     end
end
%     disp('this is the vector after fixing the negatives');xtry1;
lowerout=find(xtry1<lbfit);
nll=length(lowerout);
if nll~=0
for i=1:nll;
   xtry1(lowerout(i))=lbfit(lowerout(i));
end

end
% disp('this is the vector after doing lb');xtry1;

no_fit=find(ix<1);
for i=1:length(no_fit);
    xtry3(no_fit(i))=xtry(no_fit(i));
end
for i=1:nlf
    xtry3(fitonly(i))=xtry1((i));
end
xtry=xtry3;
% disp('this is the vector after putting fit back together');xtry;