global Par Hand


%===================Data Saving==================================

tempPsiData  = [Par.PsiDataOmega, Par.PsiDataIntensity]; 
save _PsiData.dat tempPsiData '-ascii'

tempDeltaData = [Par.DeltaDataOmega, Par.DeltaDataIntensity];
save _DeltaData.dat tempDeltaData '-ascii'

tempEps1Data = [Par.Eps1DataOmega, Par.Eps1DataIntensity];
save _Eps1Data.dat tempEps1Data '-ascii'

tempEps2Data = [Par.Eps2DataOmega, Par.Eps2DataIntensity];
save _Eps2Data.dat tempEps2Data '-ascii'

tempRppData = [Par.RppDataOmega, Par.RppDataIntensity];
save _RppData.dat tempRppData '-ascii'

tempRpsData = [Par.RpsDataOmega,Par.RpsDataIntensity];
save _RpsData.dat tempRpsData '-ascii'

tempRspData = [Par.RspDataOmega, Par.RspDataIntensity];
save _RspData.dat tempRspData '-ascii'

tempRssData = [Par.RssDataOmega, Par.RssDataIntensity];
save _RssData.dat tempRssData '-ascii'

tempTppData = [Par.TppDataOmega, Par.TppDataIntensity];
save _TppData.dat tempTppData '-ascii' 

tempTpsData = [Par.TpsDataOmega, Par.TpsDataIntensity];
save _TpsData.dat tempTpsData '-ascii'

tempTspData = [Par.TspDataOmega, Par.TspDataIntensity];
save _TspData.dat tempTspData '-ascii'

tempTssData = [Par.TssDataOmega, Par.TssDataIntensity];
save _TssData.dat tempTssData '-ascii'

tempMMData = [Par.MMDataOmega, Par.MMDataIntensity];
save _MMData.dat tempMMData '-ascii' 


%===================Model Saving==================================
Omega = (str2double(get(Hand.editFreqRangeL,'String')):1:str2double(get(Hand.editFreqRangeU,'String')))';

tempPsiModel  = [Omega , Par.PsiModel]; 
save _PsiModel.dat tempPsiModel '-ascii'

tempDeltaModel  = [Omega , Par.DeltaModel]; 
save _DeltaModel.dat tempDeltaModel '-ascii'

tempRppModel  = [Omega , Par.RppModel]; 
save _RppModel.dat tempRppModel '-ascii'

tempRpsModel  = [Omega , Par.RpsModel]; 
save _RpsModel.dat tempRpsModel '-ascii'

tempRspModel  = [Omega , Par.RspModel]; 
save _RspModel.dat tempRspModel '-ascii'

tempRssModel  = [Omega , Par.RssModel]; 
save _RssModel.dat tempRssModel '-ascii'

tempTppModel  = [Omega , Par.TppModel]; 
save _TppModel.dat tempTppModel '-ascii'

tempTpsModel  = [Omega , Par.TpsModel]; 
save _TpsModel.dat tempTpsModel '-ascii'

tempTspModel  = [Omega , Par.TspModel]; 
save _TspModel.dat tempTspModel '-ascii'

tempTssModel  = [Omega , Par.TssModel]; 
save _TssModel.dat tempTssModel '-ascii'

tempEps1Model  = [Omega , Par.Eps1Model]; 
save _Eps1Model.dat tempEps1Model '-ascii'

tempEps2Model  = [Omega , Par.Eps2Model]; 
save _Eps2Model.dat tempEps2Model '-ascii'


tempMMModel = [Omega , Par.M11Model,Par.M12Model,Par.M13Model,Par.M14Model,...
               Par.M21Model,Par.M22Model,Par.M23Model,Par.M24Model,...
               Par.M31Model,Par.M32Model,Par.M33Model,Par.M34Model,...
               Par.M41Model,Par.M42Model,Par.M43Model,Par.M44Model];

save _Eps2Model.dat tempEps2Model '-ascii'

warndlg('Data and Models have been saved');









